> For the complete documentation index, see [llms.txt](https://docs.ngsurvey.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ngsurvey.com/installation-setup/installation/microsoft-azure.md).

# Microsoft Azure

Deploy as an Azure web application

## Required downloads

Download the ngSurvey Enterprise Edition installation archive file:\
[ngSurvey Installation ZIP package](https://dl.ngsurvey.com/release/ngsurveyee.zip)

{% hint style="warning" %}
Make sure that you [enable distributed caching](/installation-setup/installation/cluster-scale-out-configuration.md) if you run ngSurvey on multiple azure instances to share the load.
{% endhint %}

## Installation steps

1. Create an Azure AppService using the Azure management portal and a .NET 9 host.
2. In the application settings page, add a new [connection string ](https://www.connectionstrings.com/sql-server/)called `NGSurveyDB` with the connection information of the database hosting the ngSurvey database. If you are using a MySQL make sure to follow also the [MySQL configuration](/installation-setup/installation/database-backend/oracle-mysql.md) tutorial.&#x20;
3. Optional but most secure option - [Azure Key vault](https://azure.microsoft.com/en-us/services/key-vault/). If you prefer to store your application settings within an Azure key vault you may set following settings in the application settings

   * KeyVault:Name is the name of your Key vault
   * AzureAd:ClientId is the client id to access your Key vault
   * AzureAd:ClientSecret is the client secret to access your key vault

   \
   If you are running under a Linux host make sure to replace the : by a double underscore character \_\_ <br>
4. To deploy the package, navigate in your browser to `https://yourazure_appname.scm.azurewebsites.net/ZipDeployUI`
5. Upload the NGSurvey zip file by dragging it to the file explorer area on the web page.
6. Navigate with your browser to your azure site
7. Use following default credentials for ngSurvey\
   \
   Email : ngsadmin\
   password : admin<br>
8. Once logged in you can setup additional settings like mail servers, captcha and translation services from the [System / Settings](/installation-setup/system-settings.md) page.
9. Enjoy a great survey tool!


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ngsurvey.com/installation-setup/installation/microsoft-azure.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
